import 'package:flutter_mylibrary/http/exception/http_error.dart';
import 'package:flutter_mylibrary/utils/utils.dart';

class HttpData {

  String msg = '';
  String code = '';
  dynamic data;
  HttpError httpError;

  bool get success => isEmpty(httpError);

  HttpData({this.code, this.msg, this.data, this.httpError});

  @override
  String toString() {
    StringBuffer sb = new StringBuffer('{');
    sb.write(",\"code\":$code");
    sb.write(",\"msg\":\"$msg\"");
    sb.write(",\"data\":\"$data\"");
    sb.write('}');
    return sb.toString();
  }
}

